Loading...
Searching...
No Matches
DataProvider Action Type Codes

## Variables

const | DataProvider::DPAT_API = 2
| Data Provider Action Type: make an API call.
const | DataProvider::DPAT_CREATE = 6
| Data Provider Action Type: create a record.
const | DataProvider::DPAT_DELETE = 9
| Data Provider Action Type: delete a record.
const | DataProvider::DPAT_EVENT = 1
const | DataProvider::DPAT_FIND = 4
| Data Provider Action Type: find all matching records.
const | DataProvider::DPAT_FIND_SINGLE = 5
| Data Provider Action Type: find a single record.
const | DataProvider::DPAT_SEND_MESSAGE = 3
| Data Provider Action Type: send a message.
const | DataProvider::DPAT_UPDATE = 8
| Data Provider Action Type: update a record.
const | DataProvider::DPAT_UPSERT = 7
| Data Provider Action Type: upsert a record.

## Detailed Description

Each action implements only one type, so these codes do not make up a bitfield

## Variable Documentation

## DPAT_EVENT

const DataProvider::DPAT_EVENT = 1

Data Provider Action Type: wait for an event